CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2017-9841

Util/PHP/eval-stdin.php in PHPUnit before 4.8.28 and 5.x before 5.6.3 allows remote attackers to execute arbitrary PHP code via HTTP POST data beginning with a "<?php " substring, as demonstrated by an attack on a site with an exposed /vendor folder, i.e., external access to the /vendor/phpunit/phpunit/src/Util/PHP/eval-stdin.php URI.
Publish Date : 2017-06-27 Last Update Date : 2017-11-20
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
7.5
Confidentiality Impact Partial (There is considerable informational disclosure.)
Integrity Impact Partial (Modification of some system files or information is possible, but the attacker does not have control over what can be modified, or the scope of what the attacker can affect is limited.)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Execute Code
CWE ID 94

- Products Affected By CVE-2017-9841

# Product Type Vendor Product Version Update Edition Language
1 Application Phpunit Project Phpunit 4.8.27 Version Details Vulnerabilities
2 Application Phpunit Project Phpunit 5.0.0 Version Details Vulnerabilities
3 Application Phpunit Project Phpunit 5.0.1 Version Details Vulnerabilities
4 Application Phpunit Project Phpunit 5.0.2 Version Details Vulnerabilities
5 Application Phpunit Project Phpunit 5.0.3 Version Details Vulnerabilities
6 Application Phpunit Project Phpunit 5.0.4 Version Details Vulnerabilities
7 Application Phpunit Project Phpunit 5.0.5 Version Details Vulnerabilities
8 Application Phpunit Project Phpunit 5.0.6 Version Details Vulnerabilities
9 Application Phpunit Project Phpunit 5.0.7 Version Details Vulnerabilities
10 Application Phpunit Project Phpunit 5.0.8 Version Details Vulnerabilities
11 Application Phpunit Project Phpunit 5.0.9 Version Details Vulnerabilities
12 Application Phpunit Project Phpunit 5.0.10 Version Details Vulnerabilities
13 Application Phpunit Project Phpunit 5.1.0 Version Details Vulnerabilities
14 Application Phpunit Project Phpunit 5.1.2 Version Details Vulnerabilities
15 Application Phpunit Project Phpunit 5.1.3 Version Details Vulnerabilities
16 Application Phpunit Project Phpunit 5.1.4 Version Details Vulnerabilities
17 Application Phpunit Project Phpunit 5.1.5 Version Details Vulnerabilities
18 Application Phpunit Project Phpunit 5.1.6 Version Details Vulnerabilities
19 Application Phpunit Project Phpunit 5.1.7 Version Details Vulnerabilities
20 Application Phpunit Project Phpunit 5.2.0 Version Details Vulnerabilities
21 Application Phpunit Project Phpunit 5.2.1 Version Details Vulnerabilities
22 Application Phpunit Project Phpunit 5.2.3 Version Details Vulnerabilities
23 Application Phpunit Project Phpunit 5.2.4 Version Details Vulnerabilities
24 Application Phpunit Project Phpunit 5.2.5 Version Details Vulnerabilities
25 Application Phpunit Project Phpunit 5.2.6 Version Details Vulnerabilities
26 Application Phpunit Project Phpunit 5.2.7 Version Details Vulnerabilities
27 Application Phpunit Project Phpunit 5.2.8 Version Details Vulnerabilities
28 Application Phpunit Project Phpunit 5.2.9 Version Details Vulnerabilities
29 Application Phpunit Project Phpunit 5.2.10 Version Details Vulnerabilities
30 Application Phpunit Project Phpunit 5.2.11 Version Details Vulnerabilities
31 Application Phpunit Project Phpunit 5.2.12 Version Details Vulnerabilities
32 Application Phpunit Project Phpunit 5.3.0 Version Details Vulnerabilities
33 Application Phpunit Project Phpunit 5.3.1 Version Details Vulnerabilities
34 Application Phpunit Project Phpunit 5.3.2 Version Details Vulnerabilities
35 Application Phpunit Project Phpunit 5.3.3 Version Details Vulnerabilities
36 Application Phpunit Project Phpunit 5.3.4 Version Details Vulnerabilities
37 Application Phpunit Project Phpunit 5.3.5 Version Details Vulnerabilities
38 Application Phpunit Project Phpunit 5.4.0 Version Details Vulnerabilities
39 Application Phpunit Project Phpunit 5.4.1 Version Details Vulnerabilities
40 Application Phpunit Project Phpunit 5.4.2 Version Details Vulnerabilities
41 Application Phpunit Project Phpunit 5.4.3 Version Details Vulnerabilities
42 Application Phpunit Project Phpunit 5.4.4 Version Details Vulnerabilities
43 Application Phpunit Project Phpunit 5.4.5 Version Details Vulnerabilities
44 Application Phpunit Project Phpunit 5.4.6 Version Details Vulnerabilities
45 Application Phpunit Project Phpunit 5.4.7 Version Details Vulnerabilities
46 Application Phpunit Project Phpunit 5.4.8 Version Details Vulnerabilities
47 Application Phpunit Project Phpunit 5.5.0 Version Details Vulnerabilities
48 Application Phpunit Project Phpunit 5.5.1 Version Details Vulnerabilities
49 Application Phpunit Project Phpunit 5.5.2 Version Details Vulnerabilities
50 Application Phpunit Project Phpunit 5.5.3 Version Details Vulnerabilities
51 Application Phpunit Project Phpunit 5.5.4 Version Details Vulnerabilities
52 Application Phpunit Project Phpunit 5.5.5 Version Details Vulnerabilities
53 Application Phpunit Project Phpunit 5.5.6 Version Details Vulnerabilities
54 Application Phpunit Project Phpunit 5.5.7 Version Details Vulnerabilities
55 Application Phpunit Project Phpunit 5.6.0 Version Details Vulnerabilities
56 Application Phpunit Project Phpunit 5.6.1 Version Details Vulnerabilities
57 Application Phpunit Project Phpunit 5.6.2 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Phpunit Project Phpunit 57

- References For CVE-2017-9841

https://security.gentoo.org/glsa/201711-15
GENTOO GLSA-201711-15
https://github.com/sebastianbergmann/phpunit/pull/1956
https://github.com/sebastianbergmann/phpunit/commit/284a69fb88a2d0845d23f42974a583d8f59bf5a5
http://www.securitytracker.com/id/1039812
SECTRACK 1039812
http://phpunit.vulnbusters.com/
http://www.securityfocus.com/bid/101798
BID 101798 PHPUnit CVE-2017-9841 Arbitrary Code Execution Vulnerability Release Date:2017-11-15

- Metasploit Modules Related To CVE-2017-9841

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.